# $Revision: 1.16 $, $Date: 2008-01-23 20:36:48 $
Summary:	Polipo - a caching web proxy
Summary(pl.UTF-8):	Polipo - mały serwer cache-proxy
Name:		polipo
Version:	1.0.4
Release:	2
Epoch:		0
License:	distributable
Group:		Networking/Daemons
Source0:	http://www.pps.jussieu.fr/~jch/software/files/polipo/%{name}-%{version}.tar.gz
# Source0-md5:	defdce7f8002ca68705b6c2c36c4d096
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-Makefile.patch
URL:		http://www.pps.jussieu.fr/~jch/software/polipo/
BuildRequires:	autoconf
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Polipo is a caching web proxy designed to be used as a personal cache
or a cache shared among a few users.

%description -l pl.UTF-8
Polipo jest buforującym serwerem proxy przeznaczonym do użycia
prywatnego lub dla niewielkiej liczby użytkowników.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	PREFIX="%{_prefix}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}
install -d $RPM_BUILD_ROOT%{_datadir}/info
install -d $RPM_BUILD_ROOT/var/cache/polipo

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D config.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/forbidden

%{__make} install \
	TARGET=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}"

cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING INSTALL README
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/forbidden
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_datadir}/%{name}
%dir %{_var}/cache/%{name}
%{_mandir}/man1/*
%{_infodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: polipo.spec,v $
Revision 1.16  2008-01-23 20:36:48  glen
- use %service

Revision 1.15  2008-01-19 19:01:00  twittner
- fix -Makefile.patch

Revision 1.14  2008-01-19 18:49:19  twittner
- up to 1.0.4

Revision 1.13.2.1  2007/03/25 11:25:51  twittner
- up to 1.0.0
- rel. 0.1 - it seems a little bit buggy because is not able
  to parse its example config entry:
   Couldn't parse network 127.0.0.1, 134.157.168.0.

Revision 1.13  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.11  2006/09/19 07:37:57  glen
- updated to 0.9.10

Revision 1.10  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.9  2005/09/24 20:19:26  darekr
- PreReq -> Requires

Revision 1.8  2005/09/24 19:09:29  twittner
- up to 0.9.9

Revision 1.7  2005/03/28 09:49:27  darekr
- updated to 0.9.8

Revision 1.6  2005/02/10 21:51:36  qboosh
- cosmetics

Revision 1.5  2005/02/10 19:52:27  darekr
- missing dir

Revision 1.4  2005/01/15 21:38:56  darekr
- sorted BRs

Revision 1.3  2005/01/05 08:01:19  ankry
- formatting

Revision 1.2  2005/01/05 07:49:46  djrzulf
- desc, summary pl,

Revision 1.1  2005/01/04 19:03:38  twittner
- new
